harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Ellison <t.p.elli...@gmail.com>
Subject Re: [classlib][xml] update to xerces 2.9.0
Date Thu, 29 Mar 2007 09:41:37 GMT
Kalpak Gadre wrote:
> Hi All,
> 
> I have tested Xerces 2.9.0 libraries with harmony today and I dont see
> any test failures.
> 
> I did a clean federated build and replaced Xerces libraries with 2.9.0
> version and ran tests.
> 
> I dont see any failures except for one failure for j.l.Package test.
> 
> junit.framework.AssertionFailedError: '2.4..5' version is illegal
>    at
> org.apache.harmony.luni.tests.java.lang.PackageTest.test_isCompatibleWithLjava_lang_String(PackageTest.java:258)
> 
>    at java.lang.reflect.VMReflection.invokeMethod(Native Method)
> 
> And several errors in Swing resulted by OOME while spawning threads.
> Which has nothing to do with Xerces I suppose.

Thanks Kalpak -- perhaps you can take a look at the Ant scripts that
bring in the Xerces dependencies and submit a patch (via JIRA) for
upgrading to 2.9.0.  If everything is working now then we can commit it.

Regards,
Tim

Mime
View raw message